#include <math.h>

void getRodStretchBasicHessian (
  double sK,
  double L0,
  double *x1,
  double *x2,
  double *energyHessian)
{
  double t1;
  double t10;
  double t104;
  double t105;
  int t106;
  int t11;
  double t113;
  double t121;
  double t122;
  double t128;
  double t135;
  double t143;
  double t15;
  double t150;
  double t158;
  double t18;
  double t19;
  int t2;
  double t20;
  double t23;
  double t25;
  double t26;
  double t27;
  double t3;
  double t31;
  double t35;
  double t36;
  double t37;
  double t39;
  int t4;
  double t44;
  double t46;
  double t49;
  double t5;
  double t50;
  double t52;
  double t58;
  int t6;
  double t60;
  double t63;
  double t66;
  double t67;
  double t68;
  int t69;
  double t7;
  double t71;
  double t76;
  double t80;
  double t82;
  double t84;
  double t9;
  double t91;
  double t96;
  double t98;
  t1 = x2[0] - x1[0];
  t2 = (int) (t1 * t1);
  t3 = x2[1] - x1[1];
  t4 = (int) (t3 * t3);
  t5 = x2[2] - x1[2];
  t6 = (int) (t5 * t5);
  t7 = (double) t2 + (double) t4 + (double) t6;
  t19 = 0.1e1 / t7;
  t9 = sK * t19;
  t10 = 0.1e1 / L0;
  t11 = 4 * t2;
  t15 = sqrt(t7);
  t18 = sK * (t10 * t15 - 0.1e1);
  t23 = 0.1e1 / t15;
  t20 = t23 * t19;
  t26 = 0.10e1 * t18 * t23;
  t25 = t9 * t10;
  t31 = t18 * t20;
  t27 = 0.2500000000e0 * t25 * (double) t11 - 0.2500000000e0 * t31 * (double) t11 + t26;
  t35 = 0.2e1 * t1 * t10;
  t37 = -t9 * t35;
  t39 = 0.5000000000e0 * t37 * t3;
  t36 = -t39 - 0.1000000000e1 * t31 * t3 * t1;
  t46 = 0.2e1 * t20 * t5;
  t49 = 0.5000000000e0 * t37 * t5;
  t50 = -t18 * t46;
  t44 = -t49 + 0.5000000000e0 * t50 * t1;
  t58 = 0.2e1 * t18 * t20 * t1;
  t52 = 0.5000000000e0 * t37 * t1 + 0.5000000000e0 * t58 * t1 - t26;
  t63 = 0.2e1 * t18 * t20 * t3;
  t66 = 0.5000000000e0 * t63 * t1;
  t60 = t39 + t66;
  t67 = t18 * t46;
  t71 = 0.5000000000e0 * t67 * t1;
  t68 = t49 + t71;
  t69 = 4 * t4;
  t76 = 0.2500000000e0 * t25 * (double) t69 - 0.2500000000e0 * t31 * (double) t69 + t26;
  t80 = -0.2e1 * t9 * t10 * t3;
  t82 = 0.5000000000e0 * t80 * t5;
  t84 = -t82 + 0.5000000000e0 * t50 * t3;
  t91 = 0.5000000000e0 * t80 * t1 + 0.5000000000e0 * t58 * t3;
  t98 = 0.5000000000e0 * t80 * t3 + 0.5000000000e0 * t63 * t3 - t26;
  t96 = 0.5000000000e0 * t67 * t3;
  t105 = t82 + t96;
  t106 = 4 * t6;
  t113 = 0.2500000000e0 * t25 * (double) t106 - 0.2500000000e0 * t31 * (double) t106 + t26;
  t104 = -0.2e1 * t9 * t10 * t5;
  t121 = 0.5000000000e0 * t104 * t1 + 0.5000000000e0 * t58 * t5;
  t128 = 0.5000000000e0 * t104 * t3 + 0.5000000000e0 * t63 * t5;
  t135 = 0.5000000000e0 * t104 * t5 + 0.5000000000e0 * t67 * t5 - t26;
  t122 = t9 * t35;
  t143 = 0.5000000000e0 * t122 * t3 - t66;
  t150 = 0.5000000000e0 * t122 * t5 - t71;
  t158 = 0.1000000000e1 * t25 * t3 * t5 - t96;
  energyHessian[0] = t27;
  energyHessian[1] = t36;
  energyHessian[2] = t44;
  energyHessian[3] = t52;
  energyHessian[4] = t60;
  energyHessian[5] = t68;
  energyHessian[6] = t36;
  energyHessian[7] = t76;
  energyHessian[8] = t84;
  energyHessian[9] = t91;
  energyHessian[10] = t98;
  energyHessian[11] = t105;
  energyHessian[12] = t44;
  energyHessian[13] = t84;
  energyHessian[14] = t113;
  energyHessian[15] = t121;
  energyHessian[16] = t128;
  energyHessian[17] = t135;
  energyHessian[18] = t52;
  energyHessian[19] = t91;
  energyHessian[20] = t121;
  energyHessian[21] = t27;
  energyHessian[22] = t143;
  energyHessian[23] = t150;
  energyHessian[24] = t60;
  energyHessian[25] = t98;
  energyHessian[26] = t128;
  energyHessian[27] = t143;
  energyHessian[28] = t76;
  energyHessian[29] = t158;
  energyHessian[30] = t68;
  energyHessian[31] = t105;
  energyHessian[32] = t135;
  energyHessian[33] = t150;
  energyHessian[34] = t158;
  energyHessian[35] = t113;
}
